compact2, compact3
java.rmi

## Class StubNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - java.rmi.StubNotFoundException

All Implemented Interfaces:
  Serializable

    public class StubNotFoundException
    extends RemoteException

A `StubNotFoundException` is thrown if a valid stub class could not be found for a remote object when it is exported. A `StubNotFoundException` may also be thrown when an activatable object is registered via the `java.rmi.activation.Activatable.register` method.

Since:
  JDK1.1
See Also:
  `UnicastRemoteObject`, `Activatable`, Serialized Form

### Field Summary

### Fields inherited from class java.rmi.RemoteException

`detail`

### Constructor Summary

Constructors
Constructor and Description
`StubNotFoundException(String s)` Constructs a `StubNotFoundException` with the specified detail message.
`StubNotFoundException(String s, Exception ex)` Constructs a `StubNotFoundException` with the specified detail message and nested exception.

### Method Summary

### Methods inherited from class java.rmi.RemoteException

`getCause, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StubNotFoundException

    public StubNotFoundException(String s)

Constructs a `StubNotFoundException` with the specified detail message.

Parameters:
  `s` - the detail message
Since:
  JDK1.1

#### StubNotFoundException

    public StubNotFoundException(String s,
                                 Exception ex)

Constructs a `StubNotFoundException` with the specified detail message and nested exception.

Parameters:
  `s` - the detail message
  `ex` - the nested exception
Since:
  JDK1.1